When I type 'import discord' on Python 3.6 I get an error message.

When I type “import discord” on Python 3.6 it gives me the message: ModuleNotFoundError: No module named ‘Discord’ in idle. I tried getting discord/discord.py again in the command prompt, but the message “requirement already satisfied” comes up. I have Python 3.7 and 3.6 on my windows 10 computer, I got Python 3.6 because I read that I would need an older version of Python to make a Discord bot. If my question isn’t specific enough, plese tell me what else would be helpful. I’ve been trying to make this Discord bot all morning.

Thank you for reaing, and have a good day! :slight_smile:

You may have installed discord in 3.7 and are trying to use it in 3.6. You didn’t tell us what install command you used, so I’m guessing. See this Stack Overflow question.

You might look at the “rewrite” (see answer here) which apparently works with 3.7.